%global pypi_name rjsmin

Summary:       Javascript Minifier
Name:          python-%{pypi_name}
Version: 1.2.1
Release: 2%{?dist}
License:       Apache-2.0
URL:           http://opensource.perlig.de/rjsmin/
Source0:       https://pypi.python.org/packages/source/r/%{pypi_name}/%{pypi_name}-%{version}.tar.gz

BuildRequires: gcc python3-devel python3-pytest

%description
The minifier is based on the semantics of jsmin.c by Douglas Crockford.

The module is a re-implementation aiming for speed, so it can be used at runtime (rather than during
a preprocessing step). Usually it produces the same results as the original jsmin.c.

%package -n python3-%{pypi_name}
Summary:    Javascript Minifier

%description -n python3-%{pypi_name}
The minifier is based on the semantics of jsmin.c by Douglas Crockford.

The module is a re-implementation aiming for speed, so it can be used at runtime (rather than during
a preprocessing step). Usually it produces the same results as the original jsmin.c.

%prep
%autosetup -n %{pypi_name}-%{version}

sed -i '1d' rjsmin.py

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}
 
%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.md
%{python3_sitearch}/_%{pypi_name}.cpython*

%changelog
* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.2.1-2
- Rebuilt for loongarch release

* Thu Sep 21 2023 cunshunxia <cunshunxia@tencent.com> - 1.2.1-1
- upgrade to 1.2.1

* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.1.0-4
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.1.0-3
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.1.0-2
- Rebuilt for OpenCloudOS Stream 23.05

* Sun Apr 23 2023 Miaojun Dong <zoedong@tencent.com> - 1.1.0-1
- initial build
